#
# spec file for package xtpanel (Version 3.01)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xtpanel
Release:      9
Copyright:    1992, 1993 - Board of Trustees - Leland Stanford Junior University
Group: 
Provides:     xtpanel xtpnl301 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.01
Summary:      Interface Builder using scripts
Source: xtpanel-3.01.tar.gz
Patch: xtpanel-3.01.dif
%description
This program allows you to build (complex) programs using a
simple scripting language. Included are a tutor program and some
sample scripts (xt-colors, xt-lister, xt-load, xt-lpq, xt-page).
Documentation: /usr/doc/packages/xtpanel

Authors:
--------
    Steve Cole <steve@sep.stanford.edu>
    Dave Nichols <dave@sep.stanford.edu>

%prep
%setup -n xtpanel-3.01
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/xtpanel
/usr/doc/packages/xtpanel
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/X11R6/lib/X11/xtpanel
%dir /usr/X11R6/lib/X11/xtpanel/examples
%dir /usr/X11R6/lib/X11/xtpanel/examples/commandline
%dir /usr/X11R6/lib/X11/xtpanel/examples/script
%dir /usr/X11R6/lib/X11/xtpanel/generator
%dir /usr/X11R6/lib/X11/xtpanel/help
%dir /usr/X11R6/lib/X11/xtpanel/tutorial
/usr/X11R6/bin/xt-colors
/usr/X11R6/bin/xt-lister
/usr/X11R6/bin/xt-load
/usr/X11R6/bin/xt-lpq
/usr/X11R6/bin/xt-page
/usr/X11R6/bin/xtpanel
/usr/X11R6/bin/xtpanel-examples
/usr/X11R6/bin/xtpanel-generator
/usr/X11R6/bin/xtpanel-tutor
%config /usr/X11R6/lib/X11/app-defaults/XTpanel
/usr/X11R6/lib/X11/xtpanel/examples/all_examples
/usr/X11R6/lib/X11/xtpanel/examples/commandline/all
/usr/X11R6/lib/X11/xtpanel/examples/commandline/button
/usr/X11R6/lib/X11/xtpanel/examples/commandline/choice
/usr/X11R6/lib/X11/xtpanel/examples/commandline/dialog
/usr/X11R6/lib/X11/xtpanel/examples/commandline/graph
/usr/X11R6/lib/X11/xtpanel/examples/commandline/list
/usr/X11R6/lib/X11/xtpanel/examples/commandline/menubutton
/usr/X11R6/lib/X11/xtpanel/examples/commandline/message
/usr/X11R6/lib/X11/xtpanel/examples/commandline/scrollbar
/usr/X11R6/lib/X11/xtpanel/examples/commandline/slider
/usr/X11R6/lib/X11/xtpanel/examples/commandline/text
/usr/X11R6/lib/X11/xtpanel/examples/script/.bitmap_browser
/usr/X11R6/lib/X11/xtpanel/examples/script/all
/usr/X11R6/lib/X11/xtpanel/examples/script/attributes
/usr/X11R6/lib/X11/xtpanel/examples/script/bitmap_browser
/usr/X11R6/lib/X11/xtpanel/examples/script/button
/usr/X11R6/lib/X11/xtpanel/examples/script/calculator
/usr/X11R6/lib/X11/xtpanel/examples/script/choice
/usr/X11R6/lib/X11/xtpanel/examples/script/color_selector
/usr/X11R6/lib/X11/xtpanel/examples/script/conditional
/usr/X11R6/lib/X11/xtpanel/examples/script/create
/usr/X11R6/lib/X11/xtpanel/examples/script/dialog
/usr/X11R6/lib/X11/xtpanel/examples/script/field
/usr/X11R6/lib/X11/xtpanel/examples/script/file_selector
/usr/X11R6/lib/X11/xtpanel/examples/script/form
/usr/X11R6/lib/X11/xtpanel/examples/script/form2
/usr/X11R6/lib/X11/xtpanel/examples/script/graph
/usr/X11R6/lib/X11/xtpanel/examples/script/input
/usr/X11R6/lib/X11/xtpanel/examples/script/list
/usr/X11R6/lib/X11/xtpanel/examples/script/lister
/usr/X11R6/lib/X11/xtpanel/examples/script/loadavg_monitor
/usr/X11R6/lib/X11/xtpanel/examples/script/lpq_monitor
/usr/X11R6/lib/X11/xtpanel/examples/script/mailer
/usr/X11R6/lib/X11/xtpanel/examples/script/menubutton
/usr/X11R6/lib/X11/xtpanel/examples/script/message
/usr/X11R6/lib/X11/xtpanel/examples/script/output
/usr/X11R6/lib/X11/xtpanel/examples/script/pipe
/usr/X11R6/lib/X11/xtpanel/examples/script/scrollbar
/usr/X11R6/lib/X11/xtpanel/examples/script/slider
/usr/X11R6/lib/X11/xtpanel/examples/script/tab
/usr/X11R6/lib/X11/xtpanel/examples/script/template
/usr/X11R6/lib/X11/xtpanel/examples/script/text
/usr/X11R6/lib/X11/xtpanel/examples/script/timer
/usr/X11R6/lib/X11/xtpanel/examples/script/timer2
/usr/X11R6/lib/X11/xtpanel/examples/script/toggle
/usr/X11R6/lib/X11/xtpanel/examples/script/togglegrid
/usr/X11R6/lib/X11/xtpanel/examples/script/yes-no
/usr/X11R6/lib/X11/xtpanel/examples/script/yes-no2
/usr/X11R6/lib/X11/xtpanel/generator/action
/usr/X11R6/lib/X11/xtpanel/generator/actionstring
/usr/X11R6/lib/X11/xtpanel/generator/assignstring
/usr/X11R6/lib/X11/xtpanel/generator/box
/usr/X11R6/lib/X11/xtpanel/generator/button
/usr/X11R6/lib/X11/xtpanel/generator/choice
/usr/X11R6/lib/X11/xtpanel/generator/confirm
/usr/X11R6/lib/X11/xtpanel/generator/createstring
/usr/X11R6/lib/X11/xtpanel/generator/dialog
/usr/X11R6/lib/X11/xtpanel/generator/extras
/usr/X11R6/lib/X11/xtpanel/generator/field
/usr/X11R6/lib/X11/xtpanel/generator/generator
/usr/X11R6/lib/X11/xtpanel/generator/graph
/usr/X11R6/lib/X11/xtpanel/generator/grid
/usr/X11R6/lib/X11/xtpanel/generator/help
/usr/X11R6/lib/X11/xtpanel/generator/item
/usr/X11R6/lib/X11/xtpanel/generator/list
/usr/X11R6/lib/X11/xtpanel/generator/menubutton
/usr/X11R6/lib/X11/xtpanel/generator/message
/usr/X11R6/lib/X11/xtpanel/generator/scrollbar
/usr/X11R6/lib/X11/xtpanel/generator/setstring
/usr/X11R6/lib/X11/xtpanel/generator/slider
/usr/X11R6/lib/X11/xtpanel/generator/startup
/usr/X11R6/lib/X11/xtpanel/generator/text
/usr/X11R6/lib/X11/xtpanel/generator/timer
/usr/X11R6/lib/X11/xtpanel/generator/toggle
/usr/X11R6/lib/X11/xtpanel/generator/togglegrid
/usr/X11R6/lib/X11/xtpanel/generator/valstring
/usr/X11R6/lib/X11/xtpanel/generator/var
/usr/X11R6/lib/X11/xtpanel/help/about
/usr/X11R6/lib/X11/xtpanel/help/actions
/usr/X11R6/lib/X11/xtpanel/help/boxes
/usr/X11R6/lib/X11/xtpanel/help/button
/usr/X11R6/lib/X11/xtpanel/help/choice
/usr/X11R6/lib/X11/xtpanel/help/commandline
/usr/X11R6/lib/X11/xtpanel/help/copyright
/usr/X11R6/lib/X11/xtpanel/help/dave.xbm
/usr/X11R6/lib/X11/xtpanel/help/dialog
/usr/X11R6/lib/X11/xtpanel/help/examples
/usr/X11R6/lib/X11/xtpanel/help/field
/usr/X11R6/lib/X11/xtpanel/help/general
/usr/X11R6/lib/X11/xtpanel/help/generator
/usr/X11R6/lib/X11/xtpanel/help/generator.detail
/usr/X11R6/lib/X11/xtpanel/help/graph
/usr/X11R6/lib/X11/xtpanel/help/help
/usr/X11R6/lib/X11/xtpanel/help/item
/usr/X11R6/lib/X11/xtpanel/help/itemlist
/usr/X11R6/lib/X11/xtpanel/help/list
/usr/X11R6/lib/X11/xtpanel/help/menubutton
/usr/X11R6/lib/X11/xtpanel/help/message
/usr/X11R6/lib/X11/xtpanel/help/params
/usr/X11R6/lib/X11/xtpanel/help/pipe
/usr/X11R6/lib/X11/xtpanel/help/resources
/usr/X11R6/lib/X11/xtpanel/help/scriptvcomm
/usr/X11R6/lib/X11/xtpanel/help/scrollbar
/usr/X11R6/lib/X11/xtpanel/help/slider
/usr/X11R6/lib/X11/xtpanel/help/startup
/usr/X11R6/lib/X11/xtpanel/help/steve.xbm
/usr/X11R6/lib/X11/xtpanel/help/syntax
/usr/X11R6/lib/X11/xtpanel/help/template
/usr/X11R6/lib/X11/xtpanel/help/tests
/usr/X11R6/lib/X11/xtpanel/help/text
/usr/X11R6/lib/X11/xtpanel/help/timer
/usr/X11R6/lib/X11/xtpanel/help/toggle
/usr/X11R6/lib/X11/xtpanel/help/tutor
/usr/X11R6/lib/X11/xtpanel/help/var
/usr/X11R6/lib/X11/xtpanel/tutorial/actions
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.assign
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.create
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.destroy
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.ev
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.print
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.set
/usr/X11R6/lib/X11/xtpanel/tutorial/actions.system
/usr/X11R6/lib/X11/xtpanel/tutorial/advanced
/usr/X11R6/lib/X11/xtpanel/tutorial/attributes
/usr/X11R6/lib/X11/xtpanel/tutorial/box
/usr/X11R6/lib/X11/xtpanel/tutorial/dynamic
/usr/X11R6/lib/X11/xtpanel/tutorial/hello
/usr/X11R6/lib/X11/xtpanel/tutorial/home
/usr/X11R6/lib/X11/xtpanel/tutorial/loop
/usr/X11R6/lib/X11/xtpanel/tutorial/math
/usr/X11R6/lib/X11/xtpanel/tutorial/more
/usr/X11R6/lib/X11/xtpanel/tutorial/objects
/usr/X11R6/lib/X11/xtpanel/tutorial/pipe
/usr/X11R6/lib/X11/xtpanel/tutorial/pipe.script
/usr/X11R6/lib/X11/xtpanel/tutorial/startup
/usr/X11R6/lib/X11/xtpanel/tutorial/startup.script
/usr/X11R6/lib/X11/xtpanel/tutorial/tests
/usr/X11R6/lib/X11/xtpanel/tutorial/timer
/usr/X11R6/lib/X11/xtpanel/tutorial/tutor
/usr/X11R6/lib/X11/xtpanel/tutorial/tutorscript
/usr/X11R6/lib/X11/xtpanel/tutorial/utilities
/usr/X11R6/lib/X11/xtpanel/tutorial/variable
/usr/X11R6/lib/X11/xtpanel/tutorial/viewer
/usr/X11R6/lib/X11/xtpanel/tutorial/what
%doc /usr/X11R6/man/man1/xtpanel.1x.gz

